perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All-0.1.2-2.mga4.noarch.rpm


Advertisement

Description

perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All - Upgrade ALL your dependencies to the ones you have installed

Distribution: Mageia 4.1
Repository: Mageia Core i586
Package name: perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All
Package version: 0.1.2
Package release: 2.mga4
Package architecture: noarch
Package type: rpm
Installed size: 72.84 KB
Download size: 21.98 KB
Official Mirror: distrib-coffee.ipsl.jussieu.fr
This is a special case of "Dist::Zilla::Plugin::Prereqs::MatchInstalled" that automatically upgrades all versions of all dependencies, unless asked not to. PITFALLS Presently, there is one very large gotcha about using this module, in that it will upgrade everything, even things that don't make sense to upgrade. For instance: Local Versions If you have a single dependency on your system you might use, which is locally patched, and locally patched in such a way the local version is more recent than any on "CPAN", you should either a. Not use this module b. Put that module in the exclusion list Non-Dual Life modules This plugin is not very smart, and can't differentiate between modules that do exist on "CPAN" independent of Perl, and modules that don't. For instance, if you use "Autoprereqs", its very likely your distribution will add a dependency on either "strict" or "warnings" This module will ask your user to upgrade those versions to their latest versions, which will likely require them to upgrade their Perl installation to do so. Which basically means for the mean time, either a. You must be o.k. with end users needing more recent Perls b. You should avoid upgrading those dependencies by either a. Not using this plugin b. Adding problematic modules to the exclusion list

Provides

  • perl(Dist::Zilla::Plugin::Prereqs::MatchInstalled::All) == 0.1.2
  • perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All == 0.1.2-2.mga4

    Install Howto

    1. Enable Mageia Core repository on "Install and Remove Software"
    2. Update packages list:
      # urpmi.update -a
    3. Install perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All rpm package:
      # urpmi perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All

    Files

    • /usr/lib/perl5/vendor_perl/5.18.1/Dist/
    • /usr/lib/perl5/vendor_perl/5.18.1/Dist/Zilla/
    • /usr/lib/perl5/vendor_perl/5.18.1/Dist/Zilla/Plugin/
    • /usr/lib/perl5/vendor_perl/5.18.1/Dist/Zilla/Plugin/Prereqs/
    • /usr/lib/perl5/vendor_perl/5.18.1/Dist/Zilla/Plugin/Prereqs/MatchInstalled/All.pm
    • /usr/share/doc/perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All/Changes
    • /usr/share/doc/perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All/LICENSE
    • /usr/share/doc/perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All/META.json
    • /usr/share/doc/perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All/META.yml
    • /usr/share/doc/perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All/MYMETA.yml
    • /usr/share/doc/perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All/README
    • /usr/share/man/man3/Dist::Zilla::Plugin::Prereqs::MatchInstalled::All.3pm.xz

    Changelog

    2013-10-21 - umeabot <umeabot> 0.1.2-2.mga4 + Revision: 537124 - Mageia 4 Mass Rebuild

    2013-09-25 - sander85 <sander85> 0.1.2-1.mga4 + Revision: 486356 - update to 0.1.2

    2013-09-08 - sander85 <sander85> 0.1.1-1.mga4 + Revision: 475892 - update to 0.1.1

    2013-08-09 - sander85 <sander85> 0.1.0-1.mga4 + Revision: 464919 - imported package perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All

    Advertisement
    Advertisement